# $Id: complete_last_nick.tcl,v 1.1 2002/11/02 20:42:03 alexey Exp $


proc handle_last_nick {chatid from type body x} {
    global last_nick

    if {$type != "groupchat"} return

    set nick [chat::get_nick $from $type]
    set myjid [chat::our_jid $chatid]
    set mynick [chat::get_nick $myjid $type]
    if {$nick != $mynick} {
	set last_nick($chatid) $nick
    }

    return
}

hook::add draw_message_hook [namespace current]::handle_last_nick 79


proc last_nick_comp {chatid compsvar wordstart line} {
    global last_nick
    upvar 0 $compsvar comps

    if {$wordstart} return
    if {![info exists last_nick($chatid)]} return

    set prefix $plugins::completion::options(nlprefix)
    set suffix $plugins::completion::options(nlsuffix)
    set ln ${prefix}$last_nick($chatid)${suffix}

    set idx [lsearch -exact $comps $ln]
    #set comps [lreplace $comps $idx $idx]
    if {$idx != 0} {
	set comps [concat [list $ln] $comps]
    }
}

hook::add generate_completions_hook \
    [namespace current]::last_nick_comp 92


