# $Id: nick_command.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $

proc handle_nick_change {chatid user body type} {
    variable F

    if {[cequal [crange $body 0 5] "/nick "] && [cequal $type groupchat]} {
	set nick [string trim [crange $body 6 end]]
	set_our_groupchat_nick $chatid $nick
	if {![conference::is_v2 $chatid]} {
	    # TODO
	    set ::chat::chats(ourjid,$chatid) $chatid/$nick
	    jlib::send_presence -to $chatid/$nick
	} else {
	    conference::set_nick $chatid $nick
	}
	debugmsg plugins "NICK: $nick"
	return stop
    }
}
hook::add chat_send_message_hook [namespace current]::handle_nick_change 50

proc nick_command_comp {chatid compsvar wordstart line} {
    upvar 0 $compsvar comps

    if {!$wordstart} {
	lappend comps {/nick }
    }
}

hook::add generate_completions_hook [namespace current]::nick_command_comp

