# $Id: draw_signed.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $

proc draw_signed {chatid from type body x} {
    global messageicon

    set chatw [chat::chat_win $chatid]

    if {[cequal [info commands ::ssj::signed:input] ""]} {
	return
    }

    foreach xe $x {
	jlib::wrapper:splitxml $xe tag vars isempty chdata children

# in case the sender didn't check the exit code from gpg...
	if {([cequal $chdata ""]) \
		|| (![cequal [jlib::wrapper:getattr $vars xmlns] \
			     jabber:x:signed])} {
	    continue
	}

	array set params [ssj::signed:input $from $chdata $body "Message body"]
	if {![info exists params(reason)]} {
	    $chatw image create end -image $messageicon(signed)
	} else {
	    $chatw image create end -image $messageicon(badsigned)
	}
	break
    }
}

hook::add draw_message_hook [namespace current]::draw_signed 6
