# $Id: me_command.tcl,v 1.2 2003/02/08 18:28:43 alexey Exp $

proc handle_me {chatid from type body x} {
    if {[cequal [crange $body 0 3] "/me "]} {
	if {[chat::is_our_jid $chatid $from]} {
	    set tag me
	} else {
	    set tag they
	}

	set chatw [chat::chat_win $chatid]
	set nick [chat::get_nick $from $type]

	$chatw insert end "* " $tag "$nick " $tag
	chat::add_emoteiconed_text [::chat::chat_win $chatid] [crange $body 4 end] $tag
	return stop
    }
}
hook::add draw_message_hook [namespace current]::handle_me 50

proc me_command_comp {chatid compsvar wordstart line} {
    upvar 0 $compsvar comps

    if {!$wordstart} {
	lappend comps {/me }
    }
}

hook::add generate_completions_hook [namespace current]::me_command_comp

