# $Id: browse.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $


proc iq_browse {from child} {
    browser::parse_items $from $child

    return {}
}

iq::register_handler set {} jabber:iq:browse \
    [namespace current]::iq_browse


proc iq_browse_reply {from child} {
    set restags {}
    foreach ns $::iq::supported_ns {
	lappend restags [jlib::wrapper:createtag ns \
			     -chdata $ns]
    }
    
    set res [jlib::wrapper:createtag user \
		 -vars {xmlns jabber:iq:browse type client} \
		 -subtags $restags]
    
    return [list result $res]
}

iq::register_handler get {} jabber:iq:browse \
    [namespace current]::iq_browse_reply


